<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Implementing Rygel Server Plugins: librygel-server Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="librygel-server Reference Manual">
<link rel="up" href="index.html" title="librygel-server Reference Manual">
<link rel="prev" href="implementing-servers-simple-example.html" title="Implementing Servers: Simple Example">
<link rel="next" href="implementing-server-plugins-simple-example.html" title="Implementing Server Plugins: Simple Example">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts"></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><img src="up-insensitive.png" width="16" height="16" border="0"></td>
<td><a accesskey="p" href="implementing-servers-simple-example.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="implementing-server-plugins-simple-example.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="chapter">
<div class="titlepage"><div><div><h1 class="title">
<a name="implementing-server-plugins"></a>Implementing Rygel Server Plugins</h1></div></div></div>
<div class="toc"><dl class="toc">
<dt><span class="section"><a href="implementing-server-plugins.html#implementing-server-plugins-overview">Implementing Server Plugins: Overview</a></span></dt>
<dt><span class="section"><a href="implementing-server-plugins-simple-example.html">Implementing Server Plugins: Simple Example</a></span></dt>
<dt><span class="section"><a href="implementing-server-plugins-full-example.html">Implementing Server Plugins: Full Example</a></span></dt>
</dl></div>
<div class="section">
<div class="titlepage"><div><div><h2 class="title" style="clear: both">
<a name="implementing-server-plugins-overview"></a>Implementing Server Plugins: Overview</h2></div></div></div>
<p>
This library may be used to create Rygel server plugins by 
implementing the <a class="link" href="RygelMediaServerPlugin.html" title="RygelMediaServerPlugin">RygelMediaServerPlugin</a> class.</p>
<p>The <a class="link" href="RygelMediaServerPlugin.html" title="RygelMediaServerPlugin">RygelMediaServerPlugin</a> reference documentation 
and these examples explain how to implement these plugins.
</p>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>